slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSJDSetBlockSize

Sets the number of vectors to be added to the searching space in every iteration.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDSetBlockSize(EPS eps,PetscInt blocksize)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| blocksize | - number of vectors added to the search space in every iteration

### Options Database Key

| -eps_jd_blocksize | - number of vectors added to the searching space every iteration

### See Also

EPSJDSetKrylovStart()

### Level

advanced

### Location

src/eps/impls/davidson/jd/jd.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages